api1: &fieldClimateApiDomain
  domain: "https://api.fieldclimate.com/v1"

api2: &senslogApiDomain
  domain: "http://127.0.0.1:9080"

settings:
  - SenslogV1:
      name: "Senslog V1"
      provider: "cz.senslog.connector.push.rest.senslog.v1.SenslogV1ConnectorPushProvider"
      host:
        <<: *senslogApiDomain
        path: "FeederServlet"

  - Fieldclimate:
      name: "FieldClimate: Pessl Instruments"
      provider: "cz.senslog.connector.fetch.fieldclimate.ConnectorFetchFieldClimateProvider"
      startDate: 2019-11-01T00:00:00.000
      period: 12 # hours

      authentication:
        publicKey: "3737ed4fe98fae975e54991216ed473c8d7db48662deff19"
        privateKey: "ed2e4abacdaad1d542eeabcec4ee4f6c8fbf3b8bb167b84b"

      stationsHost:
        <<: *fieldClimateApiDomain
        path: "/user/stations"

      stationDataHost:
        <<: *fieldClimateApiDomain
        path: "/data/normal/{station_id}/raw/from/{from}/to/{to}"

      stationTimeRangeHost:
        <<: *fieldClimateApiDomain
        path: "/data/{station_id}"

      sessionProxy:
        user: "vilcini"
        group: "vilcini"
        lastObservationHost:
          <<: *senslogApiDomain
          path: "SensorService"


connectors:
    - FieldclimateToV1:
        fetcher: "Fieldclimate"
        pusher: "SenslogV1"
        period: 10
        initDelay: 2